Subject: Re: [PATCH] dt-bindings: mfd: syscon: Add more simple compatibles

From: Lee Jones <[email-masked]>
Date: Fri, 31 May 2024 14:45:36 +0100

On Fri, 10 May 2024, Rob Herring (Arm) wrote:

> Add another batch of various "simple" syscon compatibles which were
> undocumented or still documented with old text bindings. Remove the old
> text binding docs for the ones which were documented.
> 
> Signed-off-by: Rob Herring (Arm) <[email-masked]>
> ---
> This batch is mostly from arm32 platforms.
> ---
>  .../bindings/arm/amlogic/analog-top.txt       | 20 -------------
>  .../bindings/arm/amlogic/assist.txt           | 17 -----------
>  .../bindings/arm/amlogic/bootrom.txt          | 17 -----------
>  .../devicetree/bindings/arm/amlogic/pmu.txt   | 18 ------------
>  .../devicetree/bindings/arm/atmel-sysregs.txt | 29 -------------------
>  .../devicetree/bindings/arm/axis.txt          | 16 ----------
>  .../arm/cpu-enable-method/al,alpine-smp       | 10 -------
>  .../arm/freescale/fsl,vf610-mscm-cpucfg.txt   | 14 ---------
>  .../bindings/arm/marvell/marvell,dove.txt     | 15 ----------
>  .../devicetree/bindings/arm/spear-misc.txt    |  9 ------
>  .../bindings/clock/ti-keystone-pllctrl.txt    | 20 -------------
>  .../devicetree/bindings/mfd/syscon.yaml       | 29 +++++++++++++++++++
>  .../devicetree/bindings/mips/mscc.txt         | 17 -----------
>  .../devicetree/bindings/mtd/atmel-nand.txt    |  9 ------
>  .../bindings/net/hisilicon-hip04-net.txt      | 10 -------
>  15 files changed, 29 insertions(+), 221 deletions(-)
>  delete mode 100644 Documentation/devicetree/bindings/arm/amlogic/analog-top.txt
>  delete mode 100644 Documentation/devicetree/bindings/arm/amlogic/assist.txt
>  delete mode 100644 Documentation/devicetree/bindings/arm/amlogic/bootrom.txt
>  delete mode 100644 Documentation/devicetree/bindings/arm/amlogic/pmu.txt
>  delete mode 100644 Documentation/devicetree/bindings/arm/freescale/fsl,vf610-mscm-cpucfg.txt
>  delete mode 100644 Documentation/devicetree/bindings/arm/spear-misc.txt
>  delete mode 100644 Documentation/devicetree/bindings/clock/ti-keystone-pllctrl.txt

No longer applies.  Please rebase and I'll promptly hoover this up.

-- 
Lee Jones [李琼斯]